Bug 213595 - (tbcload) Review Request: tbcload - Tcl bytecode loader
Review Request: tbcload - Tcl bytecode loader
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT tclcompiler tclchecker tcldebugger
  Show dependency treegraph
 
Reported: 2006-11-02 01:17 EST by Wart
Modified: 2009-01-28 00:50 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-07 20:22:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wart 2006-11-02 01:17:25 EST
Spec URL: http://www.kobold.org/~wart/fedora/tbcload.spec
SRPM URL: http://www.kobold.org/~wart/fedora/tbcload-1.4-1.20061030cvs.src.rpm
Description: 
Bytecode loader for precompiled Tcl files.

Note:  Upstream has not released official tarballs of this package.  When I asked about it, they said they did not have time for generating official releases and that CVS snapshots should be used instead.
Comment 2 Paul F. Johnson 2006-11-07 18:54:58 EST
rpmlint warnings/errors

rpm : incoherent version number
devel : no docs
debug & srpm : clean

builds fine in mock

Review

Spec file clean, uses constant macros, in US English
pkgconfig not required for devel package
no md5sum as it's a cvs checkout
cvs naming correct
contains documentation
nothing missing from rpm requires
uses smp_mflags
Permissions fine
no ownership problems

As long as you fix the version number, I'll let it through

APPROVED
Comment 3 Wart 2006-11-07 19:40:25 EST
Thanks for the review!  Yes, I had a typo in the %changelog for the version number.

Here is the spec/srpm files with the fix:

http://www.kobold.org/~wart/fedora/tbcload-1.4-3.20061030cvs.src.rpm
http://www.kobold.org/~wart/fedora/tbcload.spec

Since this is already FE-ACCEPTED, I'll import this fixed SRPM.
Comment 4 Wart 2006-11-07 20:22:00 EST
Imported and built.  Closing.

Thanks again!
Comment 5 Wart 2009-01-27 19:58:59 EST
Package Change Request
======================
Package Name: tbcload
New Branches: EL-4 EL-5
Owners: wart
Comment 6 Kevin Fenzi 2009-01-28 00:50:38 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.